V3.0 frevvo API

From Frevvodocs

Jump to: navigation, search

Contents

Overview

The frevvo Data API provides a simple protocol for viewing and managing frevvo resources such as forms, applications, themes, schemas, etc. It uses the Atom Syndication format with a few extensions following Atom's standard extension model.

Background

Atom also provides the Atom Publishing Protocol (APP), an HTTP-based application protocol for publishing and editing resources on the web. The APP specification is an emerging standard being developed by the IETF that allows you to send an HTTP GET request to ask for a particular resource such as a form or schema; a representation of that resource is returned in the Atom Syndication format. You can also create, edit and delete resources using standard HTTP POST, PUT and DELETE methods, respectively. Atom provides a protocol in line with the REST approach to web service interfaces.

Reference Guide

This section describes the basic protocol used to interact with frevvo Data APIs including examples of what Atom requests may look like, what kind of responses to expect, and so on. It is intended for anyone wanting an understanding the general idea of the format and protocol used by the frevvo Data API and it assumes that you understand the basics of XML, namespaces, Atom feeds, and the main HTTP requests GET, POST, PUT and DELETE, as well as the RESTful concept of a resource. Using the API at this level your client application can interact with the frevvo Server using any programming language that lets you issue HTTP requests and consume XML-based responses.

There are various different types of frevvo resources that can be viewed and manipulated by the Data API. Most of these resources are things that a designer sees when creating new forms and navigating the application using the frevvo UI, for instance users, applications, form, themes, schemas, etc. So before delving into the API specifics it is a good idea to understand these different types of resources and how they relate to each other. The following diagram shows these different resources currently being exposed by the Data API and the ownership relationships among them:

Image:Frevvo_Resources.png

Basically, for each resource type in frevvo (User, Application, FormType, Theme, Schema) a Atom Feed representation is provided. The following table shows the different URI to access the different resource feeds:

frevvo Data API URIs
Resource Description Resource URI
Users Feed frevvo/web/api/users
User Entry frevvo/web/api/user/{id}
Application Feed frevvo/web/api/apps?ownerId={userId}
Application Entry frevvo/web/api/app/{id}
Themes Feed frevvo/web/api/themes?ownerId={userId}
Theme Entry frevvo/web/api/theme/{id}
FormTypes Feed frevvo/web/api/formtypes?ownerId={appId}
FormType Entry frevvo/web/api/formtype/{id}
Schemas Feed frevvo/web/api/schemas?ownerId={appId}
Schema Entry frevvo/web/api/schema/{id}
  • Note that the ownerId query parameter is optional when querying any feed but required when inserting a new entry into the feed (more details on this below)


User Feed

The user feed represents each user that is visible to the currently logged in user. For all non-administrator users, this feed will always show one user: the current user; for the administrator users it will show all the users in frevvo allowing them to manage user settings.

Getting the User Feed

In order to get a list of all visible users, send the following request to the frevvo Server:

GET /frevvo/web/api/users

The server will respond with:

200 OK

<feed xmlns="http://www.w3.org/2005/Atom" xml:base="http://test.frevvo.com:80">
   <title>Users</title>
   <updated>2008-06-25T14:59:59.795-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/users"/>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>johndoe</id>
      <title type="text">johndoe</title>
      <updated>2008-06-25T14:59:59.795-04:00</updated>
      <link rel="self" type="application/atom+xml" href="/frevvo/web/api/user/johndoe"/>
      <link rel="edit" type="application/atom+xml" href="/frevvo/web/api/user/johndoe"/>
      <link rel="apps" type="application/atom+xml" href="/frevvo/web/api/apps?ownerId=johndoe" title="johndoe's Applications"/>
      <link rel="themes" type="application/atom+xml" href="/frevvo/web/api/themes?ownerId=johndoe" title="johndoe's Themes"/>
   </entry>
</feed>

Note that since the current logged in user is johndoe the feed contains only his entry. If the currenty logged in user was the administrator then a full list of all users would be returned by the server. Also note that for this release user feeds are read-only, and so new users cannot be created using the Data API.

Getting a User Entry

It is also possible to directly get a specific User entry as long as you know the id for that user. In order to do that send the following request to the server:

GET /frevvo/web/api/user/johndoe

And the server will respond with:

<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   <id>johndoe</id>
   <title type="text">johndoe</title>
   <updated>2008-06-25T14:59:59.795-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/user/johndoe"/>
   <link rel="apps" type="application/atom+xml" href="/frevvo/web/api/apps?ownerId=johndoe" title="johndoe's Applications"/>
   <link rel="themes" type="application/atom+xml" href="/frevvo/web/api/themes?ownerId=johndoe" title="johndoe's Themes"/>
</entry>

Since at this point User entries are also read-only for this release, they can only be used to traverse to related feeds such as the users application and theme feeds (see the two link elements with a rel attribute with value apps and themes, respectively, in the entry above)

Inserting a new User Entry

TBD

Updating a User Entry

TBD

Deleting a User Entry

TBD

Theme Feed

The theme feed lists all themes visible to the currently logged-in user. This includes enabled themes that were uploaded by the current user and all enabled themes that are global, i.e. owned by the administrator user.

Getting the Theme Feed

In order to get a list of all themes, send the following request to the frevvo server:

GET /frevvo/web/api/themes

The server will respond with:

200 OK

<?xml version="1.0" encoding="UTF-8"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:base="http://test.frevvo.com:80">
   <title>Themes</title>
   <updated>2008-06-25T15:35:55.503-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/themes"/>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>_Q6pJIagiEdyrUJr3HP_61Q!frevvo</id>
      <title type="text">Clear</title>
      <updated>2008-06-25T15:35:55.503-04:00</updated>
      <link rel="self" type="application/atom+xml" href="/frevvo/web/api/theme/_Q6pJIagiEdyrUJr3HP_61Q!frevvo"/>
      <link rel="edit" type="application/atom+xml" href="/frevvo/web/api/theme/_Q6pJIagiEdyrUJr3HP_61Q!frevvo"/>
      <fd:owner id="frevvo"/>
   </entry>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>_w218Ecm4EdyRdaUav2cgrg!frevvo</id>
      <title type="text">Professional Blue</title>
      <updated>2008-06-25T15:35:55.503-04:00</updated>
      <link rel="self" type="application/atom+xml" href="/frevvo/web/api/theme/_w218Ecm4EdyRdaUav2cgrg!frevvo"/>
      <link rel="edit" type="application/atom+xml" href="/frevvo/web/api/theme/_w218Ecm4EdyRdaUav2cgrg!frevvo"/>
      <fd:owner id="frevvo"/>
   </entry>
</feed>

The returned feed above shows two theme entries named Clear and Blue Professional that happen to be the two global themes provided by default by the frevvo installation.

Note that for this release Theme Feeds are read-only and so it is not possible to upload new themes using the Data API. Support for uploading themes using the API will be added later.

Getting a Theme Entry

It is also possible to directly get a specific Theme entry as long as you know the theme id. In order to do that send the following request to the server:

GET /frevvo/web/api/theme/_w218Ecm4EdyRdaUav2cgrg!frevvo

And the server will respond with:

<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   <id>_Q6pJIagiEdyrUJr3HP_61Q!frevvo</id>
   <title type="text">Clear</title>
   <updated>2008-06-25T15:35:55.503-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/theme/_Q6pJIagiEdyrUJr3HP_61Q!frevvo"/>
   <fd:owner id="frevvo"/>
</entry>

Note that for this release it is not possible to download the theme using the Data API: support for that will be added in a subsequent release.


Inserting a new Theme Entry

TBD

Updating a Theme Entry

TBD

Deleting a Theme Entry

TBD


Applications Feed

The application feed lists all applications owned by the currently logged-in user.

Getting the Application Feed

In order to get a list of all applications, send the following request to the frevvo server:

GET /frevvo/web/api/apps

The server will respond with:

200 OK

<feed xmlns="http://www.w3.org/2005/Atom"
   	xml:base="http://test.frevvo.com:80">
   	<title>Applications</title>
   	<updated>2008-06-25T16:20:32.652-04:00</updated>
   	<link rel="self" type="application/atom+xml"
   		href="/frevvo/web/api/apps" />
   	<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   		<id>___U40ULzEd2aiOHUWaF_bw!johndoe</id>
   		<title type="text">Client Intake</title>
   		<summary type="text">Client Intake Application</summary>
   		<updated>2008-06-25T16:20:32.652-04:00</updated>
   		<link rel="self" type="application/atom+xml"
   			href="/frevvo/web/api/app/___U40ULzEd2aiOHUWaF_bw!johndoe" />
   		<link rel="edit" type="application/atom+xml"
   			href="/frevvo/web/api/app/___U40ULzEd2aiOHUWaF_bw!johndoe" />
   		<link rel="formtypes" type="application/atom+xml"
   			href="/frevvo/web/api/formtypes?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe"
   			title="Client Intake's Form Types" />
   		<link rel="schemas" type="application/atom+xml"
   			href="/frevvo/web/api/schemas?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe"
   			title="Client Intake's Schemas" />
   		<link rel="forms" type="application/atom+xml"
   			href="/frevvo/web/api/forms?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe" />
   		<link rel="download" type="application/zip"
   			href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw"
   			title="Download Application Client Intake" />
   		<fd:owner id="johndoe" />
   	</entry>
   	<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   	   <id>_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe</id>
   	   <title type="text">Referrals</title>
   	   <summary type="text">Referrals Application</summary>
   	   <updated>2008-06-25T16:20:32.652-04:00</updated>
   	   <link rel="self" type="application/atom+xml"
   	      href="/frevvo/web/api/app/_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe" />
   	   <link rel="edit" type="application/atom+xml"
   	      href="/frevvo/web/api/app/_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe" />
   	   <link rel="formtypes" type="application/atom+xml"
   	      href="/frevvo/web/api/formtypes?ownerId=_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"
   	      title="Referrals's Form Types" />
   	   <link rel="schemas" type="application/atom+xml"
   	      href="/frevvo/web/api/schemas?ownerId=_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"
   	      title="Referrals's Schemas" />
   	   <link rel="forms" type="application/atom+xml"
   	      href="/frevvo/web/api/forms?ownerId=_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe" />
   	   <link rel="download" type="application/zip"
   	      href="/frevvo/web/user/johndoe/app/_Fyz6YUL0Ed2aiOHUWaF_bw"
   	      title="Download Application Referrals" />
   	   <fd:owner id="johndoe" />
   	</entry>
</feed>

The returned feed above shows the two application entries named Client Intake and Referrals that the current user owns.

Getting an Application Entry

It is also possible to directly get a specific application entry as long as you know the application id. In order to do that send the following request to the server:

GET /frevvo/web/api/app/___U40ULzEd2aiOHUWaF_bw!johndoe

And the server will respond with:

<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
	<id>___U40ULzEd2aiOHUWaF_bw!johndoe</id>
	<title type="text">Client Intake</title>
	<summary type="text">Client Intake Application</summary>
	<updated>2008-06-25T16:20:32.652-04:00</updated>
	<link rel="self" type="application/atom+xml"
		href="/frevvo/web/api/app/___U40ULzEd2aiOHUWaF_bw!johndoe" />
	<link rel="edit" type="application/atom+xml"
		href="/frevvo/web/api/app/___U40ULzEd2aiOHUWaF_bw!johndoe" />
	<link rel="formtypes" type="application/atom+xml"
		href="/frevvo/web/api/formtypes?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe"
		title="Client Intake's Form Types" />
	<link rel="schemas" type="application/atom+xml"
		href="/frevvo/web/api/schemas?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe"
		title="Client Intake's Schemas" />
	<link rel="forms" type="application/atom+xml"
		href="/frevvo/web/api/forms?ownerId=___U40ULzEd2aiOHUWaF_bw!johndoe" />
	<link rel="download" type="application/zip"
		href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw"
		title="Download Application Client Intake" />
	<fd:owner id="johndoe" />
</entry>

Note that for this release it is not possible to download the application using the Data API: support for that will be added in a subsequent release.

Inserting a new Application Entry

TBD

Updating an Application Entry

TBD

Deleting an Application Entry

TBD


FormType Feed

The formtype feed contains a list of all formtypes (i.e. a definition for a form created by the designer) across all applications owned by the currently logged-in user.

Getting the FormType Feed

In order to get a list of all formtypes owned by the current user, send the following request to the frevvo server:

GET /frevvo/web/api/formtypes

The server will respond with:

200 OK

<feed xmlns="http://www.w3.org/2005/Atom" xml:base="http://test.frevvo.com:80">
   <title>Form Types</title>
   <updated>2008-06-25T16:28:22.664-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/formtypes"/>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe</id>
      <title type="text">Client Intake</title>
      <summary type="text">Client Intake Form</summary>
      <updated>2008-06-25T16:28:22.664-04:00</updated>
      <link rel="self" type="application/atom+xml"
            href="/frevvo/web/api/formtype/_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"
            title="This entry"/>
      <link rel="edit" type="application/atom+xml"
            href="/frevvo/web/api/formtype/_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"/>
      <link rel="forms" type="application/atom+xml"
            href="/frevvo/web/api/forms?formTypeId=_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"
            title="Client Intake's form instances"/>
      <link rel="editor" type="text/html"
            href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?edit=true&embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Edit FormType Client Intake"/>
      <link rel="instance" type="text/html"
            href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Use FormTYpe Client Intake"/>
      <link rel="download" type="application/zip"
            href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?edit=true&embed=true&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Download FormType Client Intake"/>
      <fd:owner id="___U40ULzEd2aiOHUWaF_bw!johndoe"/>
   </entry>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>_8-6mYEL0Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe</id>
      <title type="text">New Referral</title>
      <summary type="text">New Referral Form</summary>
      <updated>2008-06-25T16:28:22.664-04:00</updated>
      <link rel="self" type="application/atom+xml"
            href="/frevvo/web/api/formtype/_8-6mYEL0Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"
            title="This entry"/>
      <link rel="edit" type="application/atom+xml"
            href="/frevvo/web/api/formtype/_8-6mYEL0Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
      <link rel="forms" type="application/atom+xml"
            href="/frevvo/web/api/forms?formTypeId=_8-6mYEL0Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"
            title="New Referral's form instances"/>
      <link rel="editor" type="text/html"
            href="/frevvo/web/user/johndoe/app/_Fyz6YUL0Ed2aiOHUWaF_bw/formtype/_8-6mYEL0Ed2aiOHUWaF_bw?edit=true&embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Edit FormType New Referral"/>
      <link rel="instance" type="text/html"
            href="/frevvo/web/user/johndoe/app/_Fyz6YUL0Ed2aiOHUWaF_bw/formtype/_8-6mYEL0Ed2aiOHUWaF_bw?embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Use FormTYpe New Referral"/>
      <link rel="download" type="application/zip"
            href="/frevvo/web/user/johndoe/app/_Fyz6YUL0Ed2aiOHUWaF_bw/formtype/_8-6mYEL0Ed2aiOHUWaF_bw?edit=true&embed=true&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
            title="Download FormType New Referral"/>
      <fd:owner id="_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
   </entry>
</feed>

The feed returned above shows two formtypes named Client Intake and New Referral Form that is owned by the current user.

Note that for this release schema feeds are read-only and so it is not possible to upload new formtypes using the Data API. Support for that will be added in a subsequent release.

Getting a FormType Entry

It is also possible to directly get a specific formtype entry as long as you know the formtype id. In order to do that send the following request to the server:

GET /frevvo/web/api/formtype/_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe

And the server will respond with:

<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   <id>_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe</id>
   <title type="text">Client Intake</title>
   <summary type="text">Client Intake Form</summary>
   <updated>2008-06-25T16:28:22.664-04:00</updated>
   <link rel="self" type="application/atom+xml"
         href="/frevvo/web/api/formtype/_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"
         title="This entry"/>
   <link rel="edit" type="application/atom+xml"
         href="/frevvo/web/api/formtype/_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"/>
   <link rel="forms" type="application/atom+xml"
         href="/frevvo/web/api/forms?formTypeId=_44aEAEL0Ed2aiOHUWaF_bw!___U40ULzEd2aiOHUWaF_bw!johndoe"
         title="Client Intake's form instances"/>
   <link rel="editor" type="text/html"
         href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?edit=true&embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
         title="Edit FormType Client Intake"/>
   <link rel="instance" type="text/html"
         href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?embed=true&_method=post&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
         title="Use FormTYpe Client Intake"/>
   <link rel="download" type="application/zip"
         href="/frevvo/web/user/johndoe/app/___U40ULzEd2aiOHUWaF_bw/formtype/_44aEAEL0Ed2aiOHUWaF_bw?edit=true&embed=true&apikey=bfd36d14-bbfe-4b82-894e-75f16c34ce5a"
         title="Download FormType Client Intake"/>
   <fd:owner id="___U40ULzEd2aiOHUWaF_bw!johndoe"/>
</entry>

Inserting a new FormType Entry

TBD

Updating a FormType Entry

TBD

Deleting a FormType Entry

TBD

Getting the FormType URI

TBD

Getting the FormType Designer URI

TBD

Schemas Feed

The schema feed represents each XML Schema visible to the current logged in user.

The schema feed lists all uploaded schemas that are visible to the currently logged-in user. This includes schemas that were uploaded by the current user and all global schemas owned by the administrator user.

Getting the Schema Feed

In order to get a list of all schemas, send the following request to the frevvo server:

GET /frevvo/web/api/schemas

The server will respond with:

200 OK

<feed xmlns="http://www.w3.org/2005/Atom" xml:base="http://test.frevvo.com:80">
   <title>Schemas</title>
   <updated>2008-06-25T16:27:26.833-04:00</updated>
   <link rel="self" type="application/atom+xml" href="/frevvo/web/api/schemas"/>
   <link rel="edit" type="application/atom+xml" href="/frevvo/web/api/schemas"/>
   <entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
      <id>_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe</id>
      <title type="text">Purchase Order</title>
      <summary type="text">The Purchase Order Schema</summary>
      <updated>2008-06-25T16:27:26.833-04:00</updated>
      <link rel="self" type="application/atom+xml"
            href="/frevvo/web/api/schema/_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
      <link rel="edit" type="application/atom+xml"
            href="/frevvo/web/api/schema/_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
      <fd:owner id="_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
   </entry>
</feed>

The returned feed above shows one schema entry named Purchase Order that is owned by the current user.

Note that for this release schema feeds are read-only and so it is not possible to upload new schemas using the Data API. Support for that will be added in a subsequent release.

Getting a Schema Entry

It is also possible to directly get a specific schema entry as long as you know the theme id. In order to do that send the following request to the server:

GET /frevvo/web/api/schema/_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe

And the server will respond with:

<entry xmlns:fd="http://schemas.frevvo.com/fdata/2008">
   <id>_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe</id>
   <title type="text">Purchase Order</title>
   <summary type="text">The Purchase Order Schema</summary>
   <updated>2008-06-25T16:27:26.833-04:00</updated>
   <link rel="self" type="application/atom+xml"
         href="/frevvo/web/api/schema/_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
   <link rel="edit" type="application/atom+xml"
         href="/frevvo/web/api/schema/_HAKo4UL1Ed2aiOHUWaF_bw!_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
   <fd:owner id="_Fyz6YUL0Ed2aiOHUWaF_bw!johndoe"/>
</entry>

Note that for this release it is not possible to download the theme using the Data API: support for that will be added in a subsequent release.

Inserting a new Schema Entry

TBD

Updating a Schema Entry

TBD

Deleting a Schema Entry

TBD

Client Libraries

You will need to install a client library in order to use the API. Please contact us for assistance.

Java Client

TBD

PHP Client

TBD

Python Client

TBD

Personal tools